import Blob from "cross-blob";
export interface Light {
    position: [number, number, number];
    direction: [number, number, number];
    color: [number, number, number];
    type: LightType;
    intensity: number;
    range: number;
    zone_id: number;
}
export interface LightGroup {
    base_lights?: Light[];
    lights?: Light[];
    base_ambient_light?: Light;
}
export declare enum LightType {
    Ambient = 1,
    Directional = 2,
    Point = 3
}
export declare class LightsChunk {
    groups: LightGroup[];
    constructor(groups: LightGroup[]);
    static from_blob(blob: Blob): Promise<LightsChunk>;
    private static decode_light;
    private encode_light;
    copy(): LightsChunk;
}
