export declare function extract_bits(data: Uint8Array, offset: number, shift: number, num_bits: number): number;
export declare function insert_bits(data: Uint8Array, offset: number, shift: number, num_bits: number, number: number): void;
export declare function srgb_to_linear(c: number): number;
export declare function linear_to_srgb(c: number): number;
export declare function cross_product(a: Vec3, b: Vec3): Vec3;
export declare function dot_product(a: Vec3, b: Vec3): number;
export declare type Matrix = [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number];
export declare type Vec3 = [number, number, number];
export declare type Vec4 = [number, number, number, number];
export declare function triangle_normal(a: Vec3, b: Vec3, c: Vec3): Vec3;
export declare function within_triangle_xz(tri: [Vec3, Vec3, Vec3], point: Vec3): boolean;
export declare function normalize_vector(vec: Vec3): Vec3;
export declare function triangle_height(tri: [Vec3, Vec3, Vec3], x: number, z: number): number;
export declare function matrix_multiply(a: Matrix, b: Matrix): Matrix;
export declare function transform_to_matrix(translation?: Vec3, rotation?: Vec4, scale?: Vec3): Matrix;
export declare function apply_matrix(mat: Matrix, vec: Vec3, include_translate?: boolean): Vec3;
export declare function matrix_inverse(mat: Matrix): Matrix | null;
export declare function matrix_transpose(mat: Matrix): Matrix;
export declare function distance_sq(vec1: Vec3, vec2: Vec3): number;
export declare function distance_xz_sq(vec1: Vec3, vec2: Vec3): number;
export declare function lerp(a: number, b: number, fac: number): number;
export declare const identity_matrix: Matrix;
